<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<!-- Fecha de creacion: (11/12/03) -->
<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<head>
		<title><%= resTit.getString("titRelPiezas")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
  		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
</head>
	
<BODY onkeydown="cancelaEnter();" style="cursor: wait" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_PIEZAS%>";
			detActual = '<%=resCM.getString("cmRelPiezas")%>';
			rutaCabecera ="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="FormRelPiezas" METHOD="POST">
					<%  String codigo="", cod="", descripcion="", desc="", precio="0"; 
					    m05bFileLog miLog = new m05bFileLog();
						int contador = 0;
						String sql = "", sql2 = "";
    					java.sql.Connection conn=null;
					    PreparedStatement pstmt = null;
						ResultSet rs = null;							
					try{
						session.removeAttribute("Pieza");
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (codigo.equals("null")))
						   codigo = "";
						else
						   codigo = codigo.toUpperCase();
						cod=codigo;
						descripcion = request.getParameter("Descripcion");
					   	if (descripcion == null)
						   		descripcion = "";
						else
						   		descripcion = descripcion.toUpperCase();
					    desc=descripcion;
						precio = request.getParameter("Precio");
						
						sql = "select COD_PIE_22, NVL("+campoTexto+"PIEZA_22,PIEZA_22), PRECIO_U_22 from M0522T00";
						if ( (codigo == null) || (codigo.equals("")))
							sql2 = sql2;
						else{	
							sql2 = sql2 + " where COD_PIE_22 like '%" + codigo + "%'" ;
						}
						if ( (descripcion == null) || (descripcion.equals("")))
							sql2 = sql2;
						else{
							if (sql2.equals(""))
						 		sql2 = sql2 + " where "+campoTexto+"PIEZA_22 like '%" + descripcion + "%'";
						 	else
						 		sql2 = sql2 + " and "+campoTexto+"PIEZA_22 like '%" + descripcion + "%'";
						}
						if ( (precio == null) || (precio.equals("")))
							sql2 = sql2;
						else{
							precio = '%' + precio + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where PRECIO_U_22 like '" + precio + "'";
						 	else
						 		sql2 = sql2 + " and PRECIO_U_22 like '" + precio + "'";
						}
						sql = sql + sql2 + " order by to_number(COD_PIE_22), COD_PIE_22 DESC";
						miLog.addTraza(persona, "Rel. Piezas","SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
       					m05bConexion miConex = new m05bConexion();
       					conn = miConex.getConnection();
      					conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
						pstmt = conn.prepareStatement(sql);
						rs = pstmt.executeQuery();        	   
						contador=0;
					%>	
						
					 <TABLE class="general">
					    <tr> 
					      <td width="80%" align="right"> 					      	
							<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td width="10%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					 </TABLE>
					 <TABLE class="general">
					    <tr > 
					       <td class="searchTitle" width="20%"><%=res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="40%"><%=res.getString("etPieza")%></td>
					   	   <td class="searchTitle" width="40%"><%=res.getString("etPrecioUnitario")%></td>
					    </tr>
					 </TABLE>

						<TABLE class="general">
						<%int contador2=0;%>    
						
					<%
						while (rs.next() == true){
							codigo = rs.getString(1);
							if (codigo == null)
								codigo = "";
							descripcion= rs.getString(2);
							precio= rs.getString(3);
							if (precio == null)
								precio = "0";
							contador = contador + 1;  
							contador2 = contador2 + 1;  %>

							<tr>
							   <td class=inputFieldTitle width="20%"><FONT size=2><A href="JavaScript:fncModificar('<%=codigo%>');"><%=codigo%></A></FONT></td>
					   		   <td class=inputFieldTitle width="40%"><FONT size=2><%=descripcion%></FONT></td>
					   		   <input type="hidden" name=<%="Precio"+contador%> value="<%=precio%>">
                               <script>
                                    formatNumeroDecimal(document.FormRelPiezas.<%="Precio"+contador2%>,6,2);
                               </script>
					   		   	   
					     	   <td class=inputFieldTitle width="40%" style="text-align:right"><FONT size=2><script> document.write(document.FormRelPiezas.<%="Precio"+contador2%>.value);</script></FONT></td>
							</tr>
						<%}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="3"><%=res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language="javascript">
	function fncNuevo() {
		var docu = document.FormRelPiezas;
   		docu.action="m05bPiezasJsp.jsp?Codigo=&Mensaje=false";
   		docu.submit();
    }  // Fin funcion fncNuevo
	function fncModificar(codigo) {
		var docu = document.FormRelPiezas;
        docu.action="m05bGenerarPiezaServlet?Codigo=" + codigo + "&Mensaje=false";
        docu.submit();
    } // Fin funcion fncModificar
	function fncBuscar() {
            FormRelPiezas.action="m05bBusqPiezaJsp.jsp?Codigo=<%=cod%>&Descripcion=<%=desc%>";
            FormRelPiezas.submit();
    }	
    function fncImprimir() {
		var docu = document.FormRelPiezas;
		docu.action="m05bPiezasPDFJsp.jsp?Codigo=<%=cod%>&Descripcion=<%=desc%>";
		docu.submit();
	} // Fin funcion fncImprimir
								
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
	  } catch (Exception SQLException){
	   		miLog.addTraza(SQLException);
	  } finally {
				if (rs != null)
					rs.close();
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();
	  } %>
</BODY>
</HTML>